Bug 596556 - System shutdown button through remote NX sessions: dangerous and irresponsible
System shutdown button through remote NX sessions: dangerous and irresponsible
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nx (Show other bugs)
12
All Linux
low Severity urgent
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 19:44 EDT by james henders
Modified: 2010-12-03 09:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:19:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james henders 2010-05-26 19:44:04 EDT
When you nx into a machine on fedora 12, there is a "shutdown" button now below the logout button.

I should not have to explain to the developers how absolutely dangerous and foolhardy it was to put that there.


If a remote server shuts down, thats it.


Do not pass go, do not collect $200


Backsides are on the line, and it will hit the fan if someone accidently presses "Shutdown" instead of "Logout"



I did this, and I was saved because there were people physically by the server, and another server took over via heartbeat.



People will lose their jobs over this, mark my words,

If you want to shut down the server remotely via an X session, open a terminal and type "halt -p", no mistakes that way.


Its like you put a bear trap strong enough to snap a persons leg in half, right in the middle of a crowded urban sidewalk.

bad devs,

bad
Comment 1 james henders 2010-05-26 19:45:02 EDT
dont kick this one to the back burner
Comment 2 Axel Thimm 2010-07-05 16:12:14 EDT
(In reply to comment #0)
> When you nx into a machine on fedora 12, there is a "shutdown" button now below
> the logout button.

Where exactly do you see the shutdown button (screenshot perhaps?). Is it part of the session or of the client?

There hasn't been any significant change for a long time to explain the appearance of a new "shutdown" button. Are you perhaps using nomachine's client?
Comment 3 Bug Zapper 2010-11-03 10:04:43 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 09:19:02 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.